Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Enlightenment из репозитория  (Прочитано 2509 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Камми

  • Автор темы
  • Участник
  • *
  • Сообщений: 178
  • фанатка Compiz Fusion
    • Просмотр профиля
    • Любовница Тукса
Enlightenment из репозитория
« : 18 Март 2011, 20:19:53 »
Возникла странная проблема при попытке поставить Enlightenment на Debian Squeeze (точно такая же ошибка была на Ubuntu Maverick).
Репозиторий был добавлен отсюда http://help.ubuntu.ru/wiki/enlightenment
(Нажмите, чтобы показать/скрыть)

Собственно вот сама проблема:
(Нажмите, чтобы показать/скрыть)

"libeina0" является виртуальным пакетом, предоставленный:
  libeina-svn-05 libeina-svn-06
Вы должны выбрать один для установки.


Если попробовать поставить один из этих пакетов, то он ставится, но при попытке поставить e17 снова конфликт:

Следующие пакеты имеют неудовлетворённые зависимости:
  libeina-svn-05: Конфликтует: libeina0 который является виртуальным пакетом.
  libeina-svn-06: Конфликтует: libeina0 который является виртуальным пакетом.
Следующие действия разрешат зависимости:

         Удалить следующие пакеты:
1)         libeina-svn-05

Как с этим разобраться и что его не устраивает? Такая беда и на основном компе с Дебианом и гномом, и на чистой установке netinstall, вообще без всяких DE и левых репозиториев..

Оффлайн yorik1984

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 1592
  • Кто не хочет, ищет причины
    • Просмотр профиля
Re: Enlightenment из репозитория
« Ответ #1 : 19 Март 2011, 08:02:34 »
может надо так? как в инструкции написано sudo apt-get install e17 e17-libs e17-modules

Оффлайн Камми

  • Автор темы
  • Участник
  • *
  • Сообщений: 178
  • фанатка Compiz Fusion
    • Просмотр профиля
    • Любовница Тукса
Re: Enlightenment из репозитория
« Ответ #2 : 21 Март 2011, 01:50:23 »
Так тоже самое, кроме того, что "e17-libs не удалось найти", а "вместо e17-modules выбран emodules-all"

Оффлайн yorik1984

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 1592
  • Кто не хочет, ищет причины
    • Просмотр профиля
Re: Enlightenment из репозитория
« Ответ #3 : 21 Март 2011, 02:53:19 »
echo "deb http://packages.enlightenment.org/debian `lsb_release -cs` main extras" | sudo tee -a /etc/apt/sources.list && wget -q http://packages.enlightenment.org/repo.key -O – | sudo apt-key add - && sudo apt-get update && sudo apt-get install e17 e17-libs e17-modulesЧто после этого показывает?

Оффлайн Камми

  • Автор темы
  • Участник
  • *
  • Сообщений: 178
  • фанатка Compiz Fusion
    • Просмотр профиля
    • Любовница Тукса
Re: Enlightenment из репозитория
« Ответ #4 : 22 Март 2011, 17:42:13 »
kammi@kammi-desktop:~$ echo "deb http://packages.enlightenment.org/debian `lsb_release -cs` main extras" | sudo tee -a /etc/apt/sources.list && wget -q http://packages.enlightenment.org/repo.key -O – | sudo apt-key add - && sudo apt-get update && sudo apt-get install e17 e17-libs e17-modules
[sudo] password for kammi:
deb http://packages.enlightenment.org/debian squeeze main extras
gpg: не найдено данных формата OpenPGP.

И все равно эти пакеты  :(
(Нажмите, чтобы показать/скрыть)

Оффлайн yorik1984

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 1592
  • Кто не хочет, ищет причины
    • Просмотр профиля
Re: Enlightenment из репозитория
« Ответ #5 : 22 Март 2011, 18:56:07 »
скорее всего из=за того, что не найден ключ, даный репозиторий не хочет восприниматся системой, соответсвенно и пакеты не ставятся.

Оффлайн Камми

  • Автор темы
  • Участник
  • *
  • Сообщений: 178
  • фанатка Compiz Fusion
    • Просмотр профиля
    • Любовница Тукса
Re: Enlightenment из репозитория
« Ответ #6 : 22 Март 2011, 21:14:21 »
И как же его все-таки поставить?  :) Из исходников как-то не хочется собирать

Оффлайн dj--alex

  • Старожил
  • *
  • Сообщений: 3209
  • Понимаешь, я какбы беру в руки лопату и говорю...
    • Просмотр профиля
    • все мои творения и занятия
Re: Enlightenment из репозитория
« Ответ #7 : 05 Май 2011, 21:48:13 »
произошло пара сообщений об ошибках

(Нажмите, чтобы показать/скрыть)

http://debe17.com/deb_page/deb_install_page.html
однако и ему чето надо
е могу установить «libsqlite3-dev»


РЕШЕНИЕ НЕ помогло - http://itbuben.org/blog/question/739.html

ну видимо познакомлюсь с этим ДЕ как нибудь в другой раз, когда его допилят до совместимости
« Последнее редактирование: 06 Май 2011, 01:00:40 от dj--alex »
Ubuntu 16.04.1 MATE x64, 18.1 x64 Mate, MX-Linux 16 Mate Mate Mate Mate. PC:?\FX4100@4ghz\8Gb\2TB HDD\1060gtx\90GB Ocz
https://forum.ubuntu.ru/index.php?topic=199897.0

 

Страница сгенерирована за 0.063 секунд. Запросов: 22.